Details

    • Type: Sub-task
    • Status: Reopened
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: 1.17
    • Component/s: None
    • Labels:
      None

      Activity

      Hide
      tallison@mitre.org Tim Allison added a comment -

      W00t! Thank you!

      Show
      tallison@mitre.org Tim Allison added a comment - W00t! Thank you!
      Hide
      hudson Hudson added a comment -

      SUCCESS: Integrated in Jenkins build Tika-trunk #1393 (See https://builds.apache.org/job/Tika-trunk/1393/)
      TIKA-2502 - Upgrade opennlp-tools to 1.8.3 maven-bundle-plugin to 3.3.0 (bob: https://github.com/apache/tika/commit/b6bdb672a9528a5676759cb160f1e47b42235bd5)

      • (edit) tika-parsers/pom.xml
      • (edit) tika-bundle/pom.xml
      • (edit) tika-parent/pom.xml
      Show
      hudson Hudson added a comment - SUCCESS: Integrated in Jenkins build Tika-trunk #1393 (See https://builds.apache.org/job/Tika-trunk/1393/ ) TIKA-2502 - Upgrade opennlp-tools to 1.8.3 maven-bundle-plugin to 3.3.0 (bob: https://github.com/apache/tika/commit/b6bdb672a9528a5676759cb160f1e47b42235bd5 ) (edit) tika-parsers/pom.xml (edit) tika-bundle/pom.xml (edit) tika-parent/pom.xml
      Hide
      bobpaulin Bob Paulin added a comment -

      Ok so I should have a patch shortly to upgrade the maven-bundle-plugin to 3.3.0 no workaround needed. However did require some restructuring of the pom.xml. I guess it's time to get cranking on the 2.0 stuff!

      Show
      bobpaulin Bob Paulin added a comment - Ok so I should have a patch shortly to upgrade the maven-bundle-plugin to 3.3.0 no workaround needed. However did require some restructuring of the pom.xml. I guess it's time to get cranking on the 2.0 stuff!
      Hide
      tallison@mitre.org Tim Allison added a comment -

      Thank you, Bob Paulin!

      Show
      tallison@mitre.org Tim Allison added a comment - Thank you, Bob Paulin !
      Hide
      bobpaulin Bob Paulin added a comment -

      This looks like the error is from the felix maven-bundle-plugin not an issue with the Felix runtime. Will need to take a look in a bit seems like some transitive dependency changes that the plugin is not finding are more likely the cause here.

      Show
      bobpaulin Bob Paulin added a comment - This looks like the error is from the felix maven-bundle-plugin not an issue with the Felix runtime. Will need to take a look in a bit seems like some transitive dependency changes that the plugin is not finding are more likely the cause here.
      Hide
      tallison@mitre.org Tim Allison added a comment - - edited

      Bob Paulin, any chance you could take a look at this? With Java 9, I'm thinking we'll need to upgrade felix to something more modern than 2.3.7 fairly soon, right?

      Show
      tallison@mitre.org Tim Allison added a comment - - edited Bob Paulin , any chance you could take a look at this? With Java 9, I'm thinking we'll need to upgrade felix to something more modern than 2.3.7 fairly soon, right?
      Hide
      hudson Hudson added a comment -

      SUCCESS: Integrated in Jenkins build Tika-trunk #1390 (See https://builds.apache.org/job/Tika-trunk/1390/)
      TIKA-2502 – rollback until we can figure out how to get the upgrade (tallison: https://github.com/apache/tika/commit/b19c2d7d769fda84378108d26023852ee6abdb6c)

      • (edit) tika-parsers/pom.xml
      Show
      hudson Hudson added a comment - SUCCESS: Integrated in Jenkins build Tika-trunk #1390 (See https://builds.apache.org/job/Tika-trunk/1390/ ) TIKA-2502 – rollback until we can figure out how to get the upgrade (tallison: https://github.com/apache/tika/commit/b19c2d7d769fda84378108d26023852ee6abdb6c ) (edit) tika-parsers/pom.xml
      Hide
      tallison@mitre.org Tim Allison added a comment -

      Looks like there's a workaround for 3.3.0 here: https://issues.apache.org/jira/browse/FELIX-5698

      But then we get the OverlappingFilelockExceptions.

      Show
      tallison@mitre.org Tim Allison added a comment - Looks like there's a workaround for 3.3.0 here: https://issues.apache.org/jira/browse/FELIX-5698 But then we get the OverlappingFilelockExceptions.
      Hide
      tallison@mitre.org Tim Allison added a comment -

      With felix <= 2.3.7, we get:

      [ERROR] Bundle org.apache.tika:tika-bundle:bundle:1.17-SNAPSHOT : Exception: 18
      [ERROR] Bundle org.apache.tika:tika-bundle:bundle:1.17-SNAPSHOT : Invalid class file: opennlp/tools/dictionary/Dictionary.class
      [ERROR] Bundle org.apache.tika:tika-bundle:bundle:1.17-SNAPSHOT : Exception: 18
      [ERROR] Bundle org.apache.tika:tika-bundle:bundle:1.17-SNAPSHOT : Invalid class file: opennlp/tools/formats/conllu/ConlluStream.class
      [ERROR] Bundle org.apache.tika:tika-bundle:bundle:1.17-SNAPSHOT : Exception: 18
      [ERROR] Bundle org.apache.tika:tika-bundle:bundle:1.17-SNAPSHOT : Invalid class file: opennlp/tools/formats/irishsentencebank/IrishSentenceBankDocument.class
      [ERROR] Bundle org.apache.tika:tika-bundle:bundle:1.17-SNAPSHOT : Exception: 18
      [ERROR] Bundle org.apache.tika:tika-bundle:bundle:1.17-SNAPSHOT : Invalid class file: opennlp/tools/formats/leipzig/LeipzigLanguageSampleStream.class
      

      With felix >= 2.4.0, we get:

      java.lang.Exception: Unable to lock bundle cache: java.nio.channels.OverlappingFileLockException
              at org.apache.felix.framework.cache.BundleCache.<init>(BundleCache.java:176)
              at org.apache.felix.framework.Felix.init(Felix.java:691)
              at org.apache.felix.framework.Felix.init(Felix.java:625)
              at org.ops4j.pax.exam.nat.internal.NativeTestContainer.start(NativeTestContainer.java:192)
              at org.ops4j.pax.exam.spi.reactors.AllConfinedStagedReactor.invoke(AllConfinedStagedReactor.java:79)
              at org.ops4j.pax.exam.junit.impl.ProbeRunner$2.evaluate(ProbeRunner.java:267)
              at org.junit.runners.ParentRunner.runLeaf(ParentRunner.java:325)
              at org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:78)
              at org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:57)
              at org.junit.runners.ParentRunner$3.run(ParentRunner.java:290)
              at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:71)
              at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:288)
              at org.junit.runners.ParentRunner.access$000(ParentRunner.java:58)
              at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:268)
              at org.junit.runners.ParentRunner.run(ParentRunner.java:363)
              at org.ops4j.pax.exam.junit.impl.ProbeRunner.run(ProbeRunner.java:98)
              at org.ops4j.pax.exam.junit.PaxExam.run(PaxExam.java:93)
              at org.apache.maven.surefire.junit4.JUnit4TestSet.execute(JUnit4TestSet.java:53)
              at org.apache.maven.surefire.junit4.JUnit4Provider.executeTestSet(JUnit4Provider.java:123)
              at org.apache.maven.surefire.junit4.JUnit4Provider.invoke(JUnit4Provider.java:104)
              at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
              at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
              at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
              at java.lang.reflect.Method.invoke(Method.java:498)
      

      Any recommendations?

      Show
      tallison@mitre.org Tim Allison added a comment - With felix <= 2.3.7, we get: [ERROR] Bundle org.apache.tika:tika-bundle:bundle:1.17-SNAPSHOT : Exception: 18 [ERROR] Bundle org.apache.tika:tika-bundle:bundle:1.17-SNAPSHOT : Invalid class file: opennlp/tools/dictionary/Dictionary.class [ERROR] Bundle org.apache.tika:tika-bundle:bundle:1.17-SNAPSHOT : Exception: 18 [ERROR] Bundle org.apache.tika:tika-bundle:bundle:1.17-SNAPSHOT : Invalid class file: opennlp/tools/formats/conllu/ConlluStream.class [ERROR] Bundle org.apache.tika:tika-bundle:bundle:1.17-SNAPSHOT : Exception: 18 [ERROR] Bundle org.apache.tika:tika-bundle:bundle:1.17-SNAPSHOT : Invalid class file: opennlp/tools/formats/irishsentencebank/IrishSentenceBankDocument.class [ERROR] Bundle org.apache.tika:tika-bundle:bundle:1.17-SNAPSHOT : Exception: 18 [ERROR] Bundle org.apache.tika:tika-bundle:bundle:1.17-SNAPSHOT : Invalid class file: opennlp/tools/formats/leipzig/LeipzigLanguageSampleStream.class With felix >= 2.4.0, we get: java.lang.Exception: Unable to lock bundle cache: java.nio.channels.OverlappingFileLockException at org.apache.felix.framework.cache.BundleCache.<init>(BundleCache.java:176) at org.apache.felix.framework.Felix.init(Felix.java:691) at org.apache.felix.framework.Felix.init(Felix.java:625) at org.ops4j.pax.exam.nat.internal.NativeTestContainer.start(NativeTestContainer.java:192) at org.ops4j.pax.exam.spi.reactors.AllConfinedStagedReactor.invoke(AllConfinedStagedReactor.java:79) at org.ops4j.pax.exam.junit.impl.ProbeRunner$2.evaluate(ProbeRunner.java:267) at org.junit.runners.ParentRunner.runLeaf(ParentRunner.java:325) at org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:78) at org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:57) at org.junit.runners.ParentRunner$3.run(ParentRunner.java:290) at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:71) at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:288) at org.junit.runners.ParentRunner.access$000(ParentRunner.java:58) at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:268) at org.junit.runners.ParentRunner.run(ParentRunner.java:363) at org.ops4j.pax.exam.junit.impl.ProbeRunner.run(ProbeRunner.java:98) at org.ops4j.pax.exam.junit.PaxExam.run(PaxExam.java:93) at org.apache.maven.surefire.junit4.JUnit4TestSet.execute(JUnit4TestSet.java:53) at org.apache.maven.surefire.junit4.JUnit4Provider.executeTestSet(JUnit4Provider.java:123) at org.apache.maven.surefire.junit4.JUnit4Provider.invoke(JUnit4Provider.java:104) at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62) at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) at java.lang.reflect.Method.invoke(Method.java:498) Any recommendations?
      Hide
      hudson Hudson added a comment -

      FAILURE: Integrated in Jenkins build Tika-trunk #1388 (See https://builds.apache.org/job/Tika-trunk/1388/)

      Show
      hudson Hudson added a comment - FAILURE: Integrated in Jenkins build Tika-trunk #1388 (See https://builds.apache.org/job/Tika-trunk/1388/ ) Upgrade to OpenNLP 1.8.3 ( TIKA-2502 ). (tallison: https://github.com/apache/tika/commit/780ab0c71b7bce24a3c2bb96b995964395fffece ) (edit) tika-parsers/pom.xml (edit) CHANGES.txt

        People

        • Assignee:
          Unassigned
          Reporter:
          tallison@mitre.org Tim Allison
        • Votes:
          0 Vote for this issue
          Watchers:
          3 Start watching this issue

          Dates

          • Created:
            Updated:

            Development